<template>
    <div class="data">
      <b-row>
        <div v-for="(entry,index) in entries.content" :key="index" class="col-12 col-auto col-md-6 col-xl-4">
          <b-card>
            <div :key="index">
              <img :src="path +'medias/'+entry.medias[0].uid" alt="surgery-icon">
              <h5>{{entry.alternativeName}}</h5>
              <p class="description">{{entry.description}}</p>
              <div class="procedure-info">
                <span>Duração da cirurgia: {{entry.procedureDuration}} horas</span>
                <br/>
                <span>Tempo de recuperação: {{entry.recoveryTime}} dias</span>
                <br/>
                <span>Nível de dor: {{entry.painLevel.replace("UNINFORMED", "Não informado").replace("LOW", "Baixo").replace("MEDIUM", "Médio")}}</span>
                <br/>
                <span>Tipo de anestesia: {{entry.anesthesia.join(', ').replace("GENRAL", "Geral").replace("EPIDURAL", "Epidural").replace("SPINAL", "Espinhal").replace("LOCAL", "Local")}}</span>
                <br/>
                <b-button>Saiba mais</b-button>
              </div>
            </div>
          </b-card> 
        </div>
      </b-row>
    </div>
</template>

<script>
export default {
  name: 'AppData',

  data () {
    return {
      path: 'https://www.souvidia.com/api/v1/'
    }
  },

  computed: {
    entries() {
      return this.$store.state.entries
    }
  },  
  
    mounted() {
      this.$store.dispatch("getData")
    },
  
}
</script>

<style scoped>
  .card {
    background-color: #f9f9f9;
    border-radius: 1rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
    min-height: 380px;
  }


  .btn {
    background-color: #ff008c;
    border-color: #ff008c;
    font-weight: bold;
    width: 65%;
    margin-top: 1.5rem;
    padding: .5rem;
  }

  h5 {
    font-weight: bold;
  }

  .description {
    height: 3rem;
  }

</style>
